Subject: Re: bug#46724: [PATCH] gnu: vtk: Update to 9.0.1

From: Andy Tai <[email-masked]>
Date: Tue, 2 Mar 2021 11:37:27 -0800

err.... the bundles are still there.   Actually I tried to build with some
bundled components configured out (instead using what is in Guix) and
things don't compile... I am not sure if the external copies can be used at
all.  so I am not sure the best route to go... the patch as is does compile
and build, at least

On Tue, Mar 2, 2021 at 11:23 AM Ludovic Courtès <[email-masked]> wrote:

> Hi,
>
> Andy Tai <[email-masked]> skribis:
>
> > * gnu/packages/image-processing.scm (vtk): Update to 9.0.1
>
> [...]
>
> > -              (snippet
> > -               '(begin
> > -                  (for-each
> > -                    (lambda (dir)
> > -                      (delete-file-recursively
> > -                        (string-append "ThirdParty/" dir "/vtk" dir)))
> > -                    ;; ogg, pugixml depended upon unconditionally
> > -                    '("doubleconversion" "eigen" "expat" "freetype"
> "gl2ps"
> > -                      "glew" "hdf5" "jpeg" "jsoncpp" "libproj"
> "libxml2" "lz4"
> > -                      "netcdf" "png" "sqlite" "theora" "tiff" "zlib"))
> > -                  #t))))
> > +                "1ir2lq9i45ls374lcmjzw0nrm5l5hnm1w47lg8g8d0n2j7hsaf8v"))
>
> [...]
>
> > -                           "-DVTK_USE_SYSTEM_DOUBLECONVERSION:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_EIGEN:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_EXPAT:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_FREETYPE:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_GL2PS:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_GLEW:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_HDF5:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_JPEG:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_JSONCPP:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_LIBPROJ:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_LIBXML2:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_LZ4:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_NETCDF:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_PNG:BOOL=TRUE"
> > -                           ;"-DVTK_USE_SYSTEM_PUGIXML:BOOL=TRUE"    ;
> > breaks IO/CityGML
> > -                           "-DVTK_USE_SYSTEM_SQLITE:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_THEORA:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_TIFF:BOOL=TRUE"
> > -                           "-DVTK_USE_SYSTEM_ZLIB:BOOL=TRUE")
>
> Could you confirm that there’s no bundled software left?  That’d be
> great news but also quite surprising.
>
> TIA!
>
> Ludo’.
>

-- 
Andy Tai, [email-masked], Skype: licheng.tai, Line: andy_tai, WeChat:
andytai1010
Year 2021 民國110年
自動的精神力是信仰與覺悟
自動的行為力是勞動與技能